GET /v1/calendar/events/{id}
#GET /v1/calendar/events/{id}getCalendarEvent
One event with its revision history and change log
| Scope | calendar:read |
|---|---|
| Lowest tier | sandbox |
| Weight (units) | 1 |
| SDK | Python client.calendar.get_event ยท JavaScript cd.calendar.getEvent |
Parameters
| Parameter | In | Type | Description |
|---|---|---|---|
id required | path | string | Event id (numeric string). |
Errors
400invalid_param, invalid_cursor401unauthorized: missing, unknown, revoked or expired key403insufficient_scope, tier_required404not_found, not_available, not_in_sandbox422window_too_large429rate_limited (per minute) or quota_exhausted (month; X-Quota-* headers, Retry-After = seconds to the next month); see Retry-After503api_disabled, overloaded
Example
curl "https://api.chartdeck.trade/v1/calendar/events/<id>" \
-H "Authorization: Bearer $CHARTDECK_API_KEY"from chartdeck import Client
client = Client() # reads CHARTDECK_API_KEY
r = client.calendar.get_event("<id>")
print(r.data, r.meta["attribution"])import { ChartDeck } from '@chartdeck/api';
const cd = new ChartDeck(); // reads CHARTDECK_API_KEY
const r = await cd.calendar.getEvent("<id>");
console.log(r.data, r.meta.attribution);